export declare type DeployStatus = 'none' | 'run' | 'push';
export interface BuildArgs {
    port?: string;
    example?: string;
    listExamples: boolean;
    listDevices: boolean;
    log?: boolean;
    projectPath: string;
    targetPlatform: string;
    mode: 'development' | 'production';
    deployStatus: DeployStatus;
    outputDir?: string;
    config?: Record<string, string>;
}
export declare function build({ listDevices, port, example, listExamples, log, projectPath, targetPlatform, mode, deployStatus, outputDir, config, }: BuildArgs): Promise<void>;
