import { RestEndpointMethodTypes } from '@octokit/rest';
export declare function moddableExists(): boolean;
export declare function getModdableVersion(): Promise<string | null>;
declare type ExtractFromArray<Item extends readonly unknown[]> = Item extends Readonly<Array<infer ItemType>> ? ItemType : never;
declare type GitHubRelease = ExtractFromArray<RestEndpointMethodTypes['repos']['listReleases']['response']['data']>;
export declare function fetchLatestRelease(): Promise<GitHubRelease>;
export declare class MissingReleaseAssetError extends Error {
    constructor(assetName: string);
}
interface DownloadToolsArgs {
    writePath: string;
    assetName: string;
    release: GitHubRelease;
}
export declare function downloadReleaseTools({ writePath, assetName, release, }: DownloadToolsArgs): Promise<void>;
export {};
